Package wx :: Class PyEvent

[frames | no frames]

## Type PyEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
                    PyEvent

Known Subclasses:
  `UpdateThrobberEvent`

wx.PyEvent can be used as a base class for implementing custom event types in Python. You should derived from this class instead of `wx.Event` because this class is Python-aware and is able to transport its Python bits safely through the wxWidgets event system and have them still be there when the event handler is invoked.

See Also:

`wx.PyCommandEvent`

Method Summary
PyEvent | `__init__(self, winid, eventType)`
| `__del__(self)`

Property Summary
| `thisown`: The membership flag

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:21 2007 | http://epydoc.sf.net